Utils (The Data Transfer Agent Library 1.1.1-SNAPSHOT API)
Date: 2012-11-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.agent.library.utils
Class Utils

    java.lang.Object
      org.gcube.datatransfer.agent.library.utils.Utils

    public class Utils

extends Object

Author:
  Fabio Simeoni (FAO), Andrea Manzi (CERN)

Field Summary
`static org.gcube.common.core.utils.logging.GCUBELog` | `logger`

Constructor Summary
`Utils()`

Method Summary
`static void` | `copyfile(File f1, File f2)`
`static void` | `copyfileToFolder(File file, File outFolder, String fileName)`
`static
`<T extends TransferOutcome> ArrayList<T>`
` | `getFileOutcomes(String outcomeRSURI)`
`static org.gcube.data.trees.patterns.Pattern` | `getPattern(org.gcube.datatransfer.agent.stubs.datatransferagent.AnyHolder h)` Converts a `AnyHolder` returned by the service into a `Pattern`.
`static
`<T extends TransferOutcome> ArrayList<T>`
` | `getTreeOutcomes(String outcomeRSURI)`
`static
`<E extends org.gcube.common.core.faults.GCUBEFault> E`
` | `newFault(E fault, Throwable cause)` Returns a given fault after serialising into it an original cause.
`static org.gcube.datatransfer.agent.stubs.datatransferagent.AnyHolder` | `toHolder(Element e)`
`static org.gcube.datatransfer.agent.stubs.datatransferagent.AnyHolder` | `toHolder(org.gcube.data.trees.data.Node n)` Transforms a `Node` into a `AnyHolder` accepted by the service.
`static org.gcube.datatransfer.agent.stubs.datatransferagent.AnyHolder` | `toHolder(org.gcube.data.trees.patterns.Pattern p)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    public static org.gcube.common.core.utils.logging.GCUBELog logger

Constructor Detail

### Utils

    public Utils()

Method Detail

### getPattern

    public static org.gcube.data.trees.patterns.Pattern getPattern(org.gcube.datatransfer.agent.stubs.datatransferagent.AnyHolder h)
                                                            throws Exception

  Converts a `AnyHolder` returned by the service into a `Pattern`.

  Parameters:
    `h` - the holder
  Returns:
    the pattern
  Throws:
    `Exception` - if the conversion fails

### toHolder

    public static org.gcube.datatransfer.agent.stubs.datatransferagent.AnyHolder toHolder(org.gcube.data.trees.patterns.Pattern p)
                                                                                   throws Exception

  Throws:
    `Exception`

### toHolder

    public static org.gcube.datatransfer.agent.stubs.datatransferagent.AnyHolder toHolder(Element e)

### toHolder

    public static org.gcube.datatransfer.agent.stubs.datatransferagent.AnyHolder toHolder(org.gcube.data.trees.data.Node n)
                                                                                   throws Exception

  Transforms a `Node` into a `AnyHolder` accepted by the service.

  Parameters:
    `n` - the node
  Returns:
    the holder
  Throws:
    `Exception` - if the conversion fails

### copyfile

    public static void copyfile(File f1,
                                File f2)
                         throws IOException

  Throws:
    `IOException`

### newFault

    public static <E extends org.gcube.common.core.faults.GCUBEFault> E newFault(E fault,
                                                                                 Throwable cause)

  Returns a given fault after serialising into it an original cause.

  Type Parameters:
    `E` - the type of the fault
  Parameters:
    `fault` - the fault
    `cause` - the cause
  Returns:
    the fault

### copyfileToFolder

    public static void copyfileToFolder(File file,
                                        File outFolder,
                                        String fileName)
                                 throws IOException

  Throws:
    `IOException`

### getFileOutcomes

    public static <T extends TransferOutcome> ArrayList<T> getFileOutcomes(String outcomeRSURI)
                                                                throws Exception

  Throws:
    `Exception`

### getTreeOutcomes

    public static <T extends TransferOutcome> ArrayList<T> getTreeOutcomes(String outcomeRSURI)
                                                                throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.